#!/usr/bin/perl -Tw

use Test::More 'no_plan';

require_ok 'CPAN::Smoke::Author';

# Make sure we have all the methods we're supposed to have.
foreach my $meth (qw(create add_modules modules id dir email name)) {
    ok( CPAN::Smoke::Author->can($meth),   "CPAN::Smoke::Author has $meth()" );
}


my $schwern = CPAN::Smoke::Author->create({ id    => 'MSCHWERN',
                                            dir   => 'M/MS/MSCHWERN',
                                            email => 'schwern@pobox.com',
                                            name  => 'Michael G Schwern',
                                         });

ok( defined $schwern,                    'create() returned something' );
ok( $schwern->isa('CPAN::Smoke::Author'),'  its an object of the right type' );

is( $schwern->id,    'MSCHWERN',             '  id is right' );
is( $schwern->dir,   'M/MS/MSCHWERN',        '  dir' );
is( $schwern->email, 'schwern@pobox.com',    '  email' );
is( $schwern->name,  'Michael G Schwern',   '  and name'  );

ok( eq_set([$schwern->modules], []),          "The author has no modules" );


my $skud = CPAN::Smoke::Author->create({ id     => 'SKUD' });

ok( defined $skud,                    'create() returned something' );
ok( $skud->isa('CPAN::Smoke::Author'),'  its an object of the right type' );
is( $skud->id,      'SKUD',         '  id is right' );
is( $skud->dir,     'S/SK/SKUD',    '  dir autogenerated' );
is( $skud->email,   undef,          '  email not set' );
is( $skud->name,    undef,          '  name not set'  );

ok( eq_set([$skud->modules], []),          "The author has no modules" );


$skud->email('skud@infotrope.net');
$skud->name("Kirrily 'Skud' Robert");
is( $skud->name,    "Kirrily 'Skud' Robert",    '  setting name' );
is( $skud->email,   'skud@infotrope.net',       '  setting email');
