#!/usr/bin/perl -w

use Test::More 'no_plan';

package Catch;

sub TIEHANDLE {
    my($class) = shift;
    return bless {}, $class;
}

sub PRINT  {
    my($self) = shift;
    $main::_STDOUT_ .= join '', @_;
}

sub READ {}
sub READLINE {}
sub GETC {}

package main;

local $SIG{__WARN__} = sub { $_STDERR_ .= join '', @_ };
tie *STDOUT, 'Catch' or die $!;


{
#line 44 lib/CPAN/Smoke/Mistake.pm
use CPAN::Smoke::Mistake;
$CLASS = 'CPAN::Smoke::Mistake';

}

{
#line 59 lib/CPAN/Smoke/Mistake.pm
can_ok( $CLASS, 'new' );

}

{
#line 84 lib/CPAN/Smoke/Mistake.pm
can_ok( $CLASS, 'all' );

my @mistakes = CPAN::Smoke::Mistake->all;
ok( @mistakes,      'all() returned some mistakes' );
ok( !grep !$_->isa('CPAN::Smoke::Mistake'), @mistakes );


}

{
#line 117 lib/CPAN/Smoke/Mistake.pm
can_ok( $CLASS, 'by' );

}

{
#line 128 lib/CPAN/Smoke/Mistake.pm
can_ok( $CLASS, 'is_fatal' );

}

{
#line 139 lib/CPAN/Smoke/Mistake.pm
can_ok( $CLASS, 'name' );

}

{
#line 150 lib/CPAN/Smoke/Mistake.pm
can_ok( $CLASS, 'fix' );

}

{
#line 162 lib/CPAN/Smoke/Mistake.pm
can_ok( $CLASS, 'more_info' );

}

