#!/usr/bin/perl -w

use Test::More 'no_plan';

package Catch;

sub TIEHANDLE {
    my($class) = shift;
    return bless {}, $class;
}

sub PRINT  {
    my($self) = shift;
    $main::_STDOUT_ .= join '', @_;
}

sub READ {}
sub READLINE {}
sub GETC {}

package main;

local $SIG{__WARN__} = sub { $_STDERR_ .= join '', @_ };
tie *STDOUT, 'Catch' or die $!;


{
#line 74 lib/CPAN/Smoke/Module.pm
require_ok('CPAN::Smoke::Module');
$CLASS = 'CPAN::Smoke::Module';

}

{
#line 88 lib/CPAN/Smoke/Module.pm
can_ok( 'CPAN::Smoke::Module', 'create' );

}

{
#line 120 lib/CPAN/Smoke/Module.pm
can_ok( $CLASS, 'name' );

}

{
#line 178 lib/CPAN/Smoke/Module.pm
can_ok( 'CPAN::Smoke::Module', 'author' );

}

{
#line 192 lib/CPAN/Smoke/Module.pm
can_ok( 'CPAN::Smoke::Module', 'file' );

}

{
#line 206 lib/CPAN/Smoke/Module.pm
can_ok( 'CPAN::Smoke::Module', 'filepath' );

}

{
#line 235 lib/CPAN/Smoke/Module.pm
can_ok( 'CPAN::Smoke::Module', 'namespaces' );

}

{
#line 257 lib/CPAN/Smoke/Module.pm
can_ok( 'CPAN::Smoke::Module', 'add_namespaces' );

}

{
#line 299 lib/CPAN/Smoke/Module.pm
can_ok( $CLASS, qw(mkpl_output make_output test_output install_output) );

}

{
#line 323 lib/CPAN/Smoke/Module.pm
can_ok( 'CPAN::Smoke::Module', 'which_mirror' );

}

{
#line 340 lib/CPAN/Smoke/Module.pm
can_ok( 'CPAN::Smoke::Module', 'fetch' );

}

{
#line 376 lib/CPAN/Smoke/Module.pm
can_ok( 'CPAN::Smoke::Module', 'unpack' );

}

{
#line 423 lib/CPAN/Smoke/Module.pm
can_ok( 'CPAN::Smoke::Module', 'which_perl' );

}

{
#line 439 lib/CPAN/Smoke/Module.pm
can_ok( 'CPAN::Smoke::Module', 'prefix' );

}

{
#line 462 lib/CPAN/Smoke/Module.pm
can_ok( 'CPAN::Smoke::Module', 'makefile_pl' );

}

{
#line 529 lib/CPAN/Smoke/Module.pm
can_ok( $CLASS, 'prereqs' );

}

{
#line 573 lib/CPAN/Smoke/Module.pm
can_ok( $CLASS, 'make' );

}

{
#line 599 lib/CPAN/Smoke/Module.pm
can_ok($CLASS, 'test');

}

{
#line 666 lib/CPAN/Smoke/Module.pm
can_ok( $CLASS, 'mistake' );

}

{
#line 700 lib/CPAN/Smoke/Module.pm
can_ok( $CLASS, 'mistakes' );

}

