#!/usr/bin/perl -w

use Test::More 'no_plan';

package Catch;

sub TIEHANDLE {
    my($class) = shift;
    return bless {}, $class;
}

sub PRINT  {
    my($self) = shift;
    $main::_STDOUT_ .= join '', @_;
}

sub READ {}
sub READLINE {}
sub GETC {}

package main;

local $SIG{__WARN__} = sub { $_STDERR_ .= join '', @_ };
tie *STDOUT, 'Catch' or die $!;


{
#line 48 lib/CPAN/Smoke.pm
use CPAN::Smoke;

}

{
#line 61 lib/CPAN/Smoke.pm
can_ok( 'CPAN::Smoke', 'mirror' );

}

{
#line 78 lib/CPAN/Smoke.pm
can_ok( 'CPAN::Smoke', 'init' );

}

{
#line 112 lib/CPAN/Smoke.pm
ok( CPAN::Smoke->can('init_authors'),   'init_authors' );

}

{
#line 144 lib/CPAN/Smoke.pm
ok( CPAN::Smoke->can('init_packages'),  'init_packages' );

}

{
#line 217 lib/CPAN/Smoke.pm
can_ok( 'CPAN::Smoke', 'author' );

}

{
#line 233 lib/CPAN/Smoke.pm
can_ok( 'CPAN::Smoke', 'module_by_archive' );

}

{
#line 249 lib/CPAN/Smoke.pm
can_ok( 'CPAN::Smoke', 'module_by_namespace' );

}

{
#line 265 lib/CPAN/Smoke.pm
can_ok( 'CPAN::Smoke', 'read_update_email' );

}

